## python-oslo.context 0.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6
Babel>=1.3

=== debian/changelog ===
python-oslo.context (0.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 17:38:22 +0200

python-oslo.context (0.5.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed build-depends for this release.
  * Watch file using github tag and not broken PyPi anymore.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 10:53:45 +0000

python-oslo.context (0.3.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
  * Rename package to python-oslo.context:
    - d/control: Update Vcs fields.
  * Re-align with Ubuntu:
    - d/control: Update Breaks/Replaces for Ubuntu *oslo-context packages.
    - d/control: Add full transitional packages for *oslo-context.
    - d/control,python-oslo.context-doc.docbase:
      Rename python-oslo-context-doc -> python-oslo.context-doc, update
      for new package naming.

 -- James Page <james.page@ubuntu.com>  Tue, 02 Jun 2015 16:18:15 +0100

python-oslo-context (0.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2015 13:06:13 +0000

python-oslo-context (0.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Now building python-oslo.context and not python-oslo-context.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2015 15:23:52 +0100

python-oslo-context (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #773622).

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Dec 2014 10:05:58 +0800

=== debian/control ===
Source: python-oslo.context
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@canonical.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-hacking (>= 0.10.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python3-babel,
                     python3-oslotest (>= 1.10.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.context.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.context.git
Homepage: https://github.com/openstack/oslo.context

Package: python-oslo.context
Architecture: all
Depends: python-babel,
         python-pbr (>= 1.8),
         ${misc:Depends},
         ${python:Depends},
Provides: python-oslo-context,
Replaces: python-oslo-context (<< 0.3.0-1~),
Breaks: python-oslo-context (<< 0.3.0-1~),
Description: WSGI context helpers for OpenStack - Python 2.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.context
Architecture: all
Depends: python-babel,
         python3-pbr (>= 1.8),
         ${misc:Depends},
         ${python:Depends},
Provides: python3-oslo-context,
Replaces: python3-oslo-context (<< 0.3.0-1~),
Breaks: python3-oslo-context (<< 0.3.0-1~),
Description: WSGI context helpers for OpenStack - Python 3.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 3.x module.

Package: python-oslo.context-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: WSGI context helpers for OpenStack - doc
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the documentation.

Package: python-oslo-context
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.context,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-context
 This transitional package is safe to remove and use python-oslo.context
 instead.

Package: python-oslo-context-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.context-doc,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-context-doc
 This transitional package is safe to remove and use python-oslo.context-doc
 instead.

Package: python3-oslo-context
Section: oldlibs
Priority: extra
Architecture: all
Depends: python3-oslo.context,
         ${misc:Depends},
Description: transitional dummy package for python3-oslo-context
 This transitional package is safe to remove and use python3-oslo.context
 instead.

## python-oslo.context 2.2.0

=== debian/changelog ===
python-oslo.context (2.2.0-3~bpo8+1) UNRELEASED; urgency=medium

  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * Rebuilt by bop.

 -- Ondřej Nový <jenkins@mitaka-jessie.pkgs.mirantis.com>  Tue, 31 May 2016 20:54:00 +0000

python-oslo.context (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 08:54:59 +0000

python-oslo.context (2.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 12:04:03 +0000

python-oslo.context (1.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 03:54:25 +0000

python-oslo.context (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed privacy breach image links.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 11:02:38 +0100

python-oslo.context (0.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 19:30:20 +0000

=== debian/control ===
--- 
+++ 
@@ -23,9 +23,9 @@
                      python3-oslotest (>= 1.10.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.context.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.context.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.context.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.context.git
 Homepage: https://github.com/openstack/oslo.context
 
 Package: python-oslo.context

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/openstack/oslo.context.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with=python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.context; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.context; \
	done
	rm -f $(CURDIR)/debian/python*-oslo-context/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e && set -x && for i in $(PYTHONS) $(PYTHON3S); do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.context-doc/usr/share/doc/python-oslo.context-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.context 2.5.0

=== debian/changelog ===
python-oslo.context (2.5.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:34:52 +0000

python-oslo.context (2.5.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.

  [ Thomas Goirand ]
  * Switch to pkgos-dh_auto_{test,install}.
  * Drop old python-oslo- transition packages, not needed in Ubuntu
    anymore since Xenial is released.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 14:27:49 +0000

python-oslo.context (2.4.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Update branch to debian/newton.

  [ Thomas Goirand ]
  * Added Corey in the Uploaders: field.

 -- Thomas Goirand <zigo@debian.org>  Sat, 04 Jun 2016 16:38:36 +0000

=== debian/control ===
Source: python-oslo.context
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@canonical.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-hacking (>= 0.10.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python3-oslotest (>= 1.10.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.context?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-oslo.context -b debian/newton
Homepage: https://github.com/openstack/oslo.context

Package: python-oslo.context
Architecture: all
Depends: python-pbr (>= 1.8),
         ${misc:Depends},
         ${python:Depends},
Provides: python-oslo-context,
Replaces: python-oslo-context (<< 0.3.0-1~),
Breaks: python-oslo-context (<< 0.3.0-1~),
Description: WSGI context helpers for OpenStack - Python 2.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.context
Architecture: all
Depends: python3-pbr (>= 1.8),
         ${misc:Depends},
         ${python:Depends},
Provides: python3-oslo-context,
Replaces: python3-oslo-context (<< 0.3.0-1~),
Breaks: python3-oslo-context (<< 0.3.0-1~),
Description: WSGI context helpers for OpenStack - Python 3.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 3.x module.

Package: python-oslo.context-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: WSGI context helpers for OpenStack - doc
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.context.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with=python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.context-doc/usr/share/doc/python-oslo.context-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.context 2.9.0

=== requirements.txt ===
--- 
+++ 
@@ -2,5 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr<2.0,>=1.6
-Babel>=1.3
+pbr>=1.6 # Apache-2.0
+
+positional>=1.0.1 # Apache-2.0

=== debian/changelog ===
python-oslo.context (2.9.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 22:33:53 +0000

python-oslo.context (2.9.0-2) unstable; urgency=medium

  [ James Page ]
  * d/control: Bump mininum version requirement of positional to 1.1.1,
    as 1.0.1 causes issues in Barbican.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Sep 2016 10:03:59 +0100

python-oslo.context (2.9.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.

  [ James Page ]
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Aug 2016 16:08:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
            James Page <james.page@canonical.com>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -18,23 +18,23 @@
 Build-Depends-Indep: python-coverage,
                      python-hacking (>= 0.10.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
-                     python3-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
+                     python-positional (>= 1.1.1),
+                     python3-oslotest (>= 1:1.10.0),
+                     python3-positional (>= 1.1.1),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.context?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-oslo.context -b debian/newton
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.context?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.context -b debian/newton
 Homepage: https://github.com/openstack/oslo.context
 
 Package: python-oslo.context
 Architecture: all
 Depends: python-pbr (>= 1.8),
+         python-positional (>= 1.1.1),
          ${misc:Depends},
          ${python:Depends},
-Provides: python-oslo-context,
-Replaces: python-oslo-context (<< 0.3.0-1~),
-Breaks: python-oslo-context (<< 0.3.0-1~),
 Description: WSGI context helpers for OpenStack - Python 2.x
  The Oslo context library has helpers to maintain useful information
  about a request context. The request context is usually populated
@@ -45,11 +45,9 @@
 Package: python3-oslo.context
 Architecture: all
 Depends: python3-pbr (>= 1.8),
+         python3-positional (>= 1.1.1),
          ${misc:Depends},
          ${python:Depends},
-Provides: python3-oslo-context,
-Replaces: python3-oslo-context (<< 0.3.0-1~),
-Breaks: python3-oslo-context (<< 0.3.0-1~),
 Description: WSGI context helpers for OpenStack - Python 3.x
  The Oslo context library has helpers to maintain useful information
  about a request context. The request context is usually populated

## python-oslo.context 2.12.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0

debtcollector>=1.2.0 # Apache-2.0
positional>=1.1.1 # Apache-2.0

=== debian/changelog ===
python-oslo.context (1:2.12.1-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 01 Feb 2017 21:02:33 +0000

python-oslo.context (1:2.12.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Feb 2017 15:00:28 -0500

python-oslo.context (1:2.11.0-0ubuntu2) zesty; urgency=medium

  * No change. Upload with new ubuntu version.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jan 2017 15:58:30 -0500

python-oslo.context (1:2.11.0-0ubuntu1) zesty; urgency=medium

  * Add epoch and restore 2.11.0 to align with Ocata upper-constraints.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jan 2017 15:32:21 -0500

python-oslo.context (2.12.0-0ubuntu2) zesty; urgency=medium

  * d/control: Remove dep-8 tests since it was misbehaving. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Jan 2017 12:40:54 -0500

python-oslo.context (2.12.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.
  * d/control: Add dep-8 tests.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 11:53:40 -0500

python-oslo.context (2.11.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Dec 2016 10:35:45 -0500

python-oslo.context (2.10.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Oct 2016 09:22:54 -0400

python-oslo.context (2.9.0-1ubuntu1) yakkety; urgency=medium

  * d/control: Set positional >= 1.1.1 as 1.0.1 causes unit test failures
    in Barbican.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Sep 2016 10:06:38 +0100

=== debian/control ===
Source: python-oslo.context
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@canonical.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-hacking (>= 0.10.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-positional (>= 1.1.1),
                     python3-debtcollector (>= 1.2.0),
                     python3-oslotest (>= 1.10.0),
                     python3-positional (>= 1.1.1),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.context
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.context
Homepage: https://github.com/openstack/oslo.context

Package: python-oslo.context
Architecture: all
Depends: python-debtcollector (>= 1.2.0),
         python-pbr (>= 1.8),
         python-positional (>= 1.1.1),
         ${misc:Depends},
         ${python:Depends}
Provides: python-oslo-context,
Replaces: python-oslo-context (<< 0.3.0-1~),
Breaks: python-oslo-context (<< 0.3.0-1~),
Description: WSGI context helpers for OpenStack - Python 2.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.context
Architecture: all
Depends: python3-debtcollector (>= 1.2.0),
         python3-pbr (>= 1.8),
         python3-positional (>= 1.1.1),
         ${misc:Depends},
         ${python:Depends}
Provides: python3-oslo-context,
Replaces: python3-oslo-context (<< 0.3.0-1~),
Breaks: python3-oslo-context (<< 0.3.0-1~),
Description: WSGI context helpers for OpenStack - Python 3.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 3.x module.

Package: python-oslo.context-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: WSGI context helpers for OpenStack - doc
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the documentation.

## python-oslo.context 2.12.2

=== debian/changelog ===
python-oslo.context (2.12.2-2) unstable; urgency=medium

  * Add fix-ouput-a-placeholder-instead-of-the-auth_token.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 11 Apr 2019 13:17:44 +0200

python-oslo.context (2.12.2-1) unstable; urgency=medium

  * Edit debian/control to match criteria
  * New upstream version [ ocata ]
  * Update Vcs fields

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 12 Dec 2017 14:46:01 +0100

python-oslo.context (2.9.0-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:09:06 +0100

=== debian/control ===
Source: python-oslo.context
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@canonical.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-positional (>= 1.1.1),
                     python3-oslotest (>= 1:1.10.0),
                     python3-positional (>= 1.1.1),
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/openstack/oslo/python-oslo.context.git
Vcs-Git: https://anonscm.debian.org/git/openstack/oslo/python-oslo.context.git
Homepage: https://github.com/openstack/oslo.context

Package: python-oslo.context
Architecture: all
Depends: python-pbr (>= 1.8),
         python-debtcollector (>= 1.2.0),
         python-positional (>= 1.1.1),
         ${misc:Depends},
         ${python:Depends},
Description: WSGI context helpers for OpenStack - Python 2.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.context
Architecture: all
Depends: python3-pbr (>= 1.8),
         python3-positional (>= 1.1.1),
         python3-debtcollector (>= 1.2.0),
         ${misc:Depends},
         ${python:Depends},
Description: WSGI context helpers for OpenStack - Python 3.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 3.x module.

Package: python-oslo.context-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: WSGI context helpers for OpenStack - doc
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the documentation.

## python-oslo.context 2.17.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=1.8 # Apache-2.0
+pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 debtcollector>=1.2.0 # Apache-2.0
 positional>=1.1.1 # Apache-2.0

=== debian/changelog ===
python-oslo.context (1:2.17.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 12 Aug 2017 02:06:29 +0000

python-oslo.context (1:2.17.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/remove-privacy-breach-in-README.rst.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 17:43:19 -0400

python-oslo.context (1:2.14.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:24:44 +0100

python-oslo.context (1:2.13.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:02:48 +0100

=== debian/control ===
Source: python-oslo.context
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@canonical.com>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-openstackdocstheme (>= 1.11.0),
                     python-oslotest (>= 1.10.0),
                     python-positional (>= 1.1.1),
                     python3-coverage (>= 4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-oslotest (>= 1.10.0),
                     python3-positional (>= 1.1.1),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.context
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.context
Homepage: https://github.com/openstack/oslo.context

Package: python-oslo.context
Architecture: all
Depends: python-debtcollector (>= 1.2.0),
         python-pbr (>= 2.0.0),
         python-positional (>= 1.1.1),
         ${misc:Depends},
         ${python:Depends}
Provides: python-oslo-context,
Replaces: python-oslo-context (<< 0.3.0-1~),
Breaks: python-oslo-context (<< 0.3.0-1~),
Description: WSGI context helpers for OpenStack - Python 2.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.context
Architecture: all
Depends: python3-debtcollector (>= 1.2.0),
         python3-pbr (>= 2.0.0),
         python3-positional (>= 1.1.1),
         ${misc:Depends},
         ${python:Depends}
Provides: python3-oslo-context,
Replaces: python3-oslo-context (<< 0.3.0-1~),
Breaks: python3-oslo-context (<< 0.3.0-1~),
Description: WSGI context helpers for OpenStack - Python 3.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 3.x module.

Package: python-oslo.context-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: WSGI context helpers for OpenStack - doc
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the documentation.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.context/ oslo.context-(\d.*)\.tar\.gz

## python-oslo.context 2.20.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=1.17.0 # Apache-2.0
sphinx>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.context (1:2.20.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:47:28 +0000

python-oslo.context (1:2.19.3-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:22:10 +0000

python-oslo.context (1:2.19.2-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 15:22:58 +0000

python-oslo.context (1:2.17.0-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/gbp.conf: Retain git-buildpackage config, including use of pristine-tar.
    - d/watch: Use tarballs.openstack.org.
    - d/control: Retain Breaks/Replaces.
    - d/p/remove-privacy-breach-in-README.rst.patch: Fix description field.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Nov 2017 10:41:21 -0400

python-oslo.context (2.17.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix no python3 depends for the python3 package (Closes: #867446).

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 17:49:17 +0100

python-oslo.context (2.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * gbp.conf uses debian/pike.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating standards version to 4.0.0.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 18:57:09 +0000

=== debian/control ===
Source: python-oslo.context
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-debtcollector,
 python-hacking,
 python-openstackdocstheme (>= 1.17.0),
 python-oslotest,
 python3-debtcollector,
 python3-oslotest,
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/oslo/python-oslo.context.git
Vcs-Git: https://anonscm.debian.org/git/openstack/oslo/python-oslo.context.git
Homepage: https://github.com/openstack/oslo.context

Package: python-oslo.context
Architecture: all
Depends:
 python-debtcollector,
 python-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python:Depends},
Replaces: python-oslo-context (<< 0.3.0-1~),
Breaks: python-oslo-context (<< 0.3.0-1~),
Description: WSGI context helpers for OpenStack - Python 2.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 2.x module.

Package: python-oslo.context-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: WSGI context helpers for OpenStack - doc
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the documentation.

Package: python3-oslo.context
Architecture: all
Depends:
 python3-debtcollector,
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Replaces: python3-oslo-context (<< 0.3.0-1~),
Breaks: python3-oslo-context (<< 0.3.0-1~),
Description: WSGI context helpers for OpenStack - Python 3.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,10 @@
 endif
 
 override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.context-doc/usr/share/doc/python-oslo.context-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
+endif
 
 # Commands not to run
 override_dh_installcatalogs:

## python-oslo.context 2.21.0

=== debian/changelog ===
python-oslo.context (2.21.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 17:29:37 +0200

python-oslo.context (2.21.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release, and switching to Python3 for
    building the doc.
  * Rebased remove-privacy-breach-in-README.rst.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Aug 2018 18:22:42 +0200

python-oslo.context (2.20.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:19:48 +0000

python-oslo.context (2.20.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed copyright format URL.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 14:19:47 +0100

python-oslo.context (2.17.0-3) unstable; urgency=medium

  * Fixed patch header (Closes: #880605).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 20:44:41 +0000

=== debian/control ===
Source: python-oslo.context
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@canonical.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage,
 python-debtcollector,
 python-fixtures,
 python-hacking,
 python-oslotest (>= 3.2.0),
 python3-debtcollector,
 python3-fixtures,
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-oslotest (>= 3.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.context.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.context.git
Homepage: https://github.com/openstack/oslo.context

Package: python-oslo.context
Architecture: all
Depends:
 python-debtcollector,
 python-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python:Depends},
Description: WSGI context helpers for OpenStack - Python 2.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 2.x module.

Package: python-oslo.context-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: WSGI context helpers for OpenStack - doc
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the documentation.

Package: python3-oslo.context
Architecture: all
Depends:
 python3-debtcollector,
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: WSGI context helpers for OpenStack - Python 3.x
 The Oslo context library has helpers to maintain useful information
 about a request context. The request context is usually populated
 in the WSGI pipeline and used by various modules such as logging.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.context-doc/usr/share/doc/python-oslo.context-doc/html
+	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.context-doc/usr/share/doc/python-oslo.context-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-oslo.context 2.22.1

=== debian/changelog ===
python-oslo.context (2.22.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:46:36 +0200

python-oslo.context (2.22.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 21:08:56 +0100

=== debian/control ===
--- 
+++ 
@@ -10,43 +10,23 @@
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
- python-coverage,
- python-debtcollector,
- python-fixtures,
- python-hacking,
- python-oslotest (>= 3.2.0),
+ python3-coverage,
+ python3-hacking,
  python3-debtcollector,
  python3-fixtures,
- python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
- python3-oslotest (>= 3.2.0),
+ python3-openstackdocstheme <!nodoc>,
+ python3-oslotest,
+ python3-stestr,
  subunit,
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.context.git
 Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.context.git
 Homepage: https://github.com/openstack/oslo.context
-
-Package: python-oslo.context
-Architecture: all
-Depends:
- python-debtcollector,
- python-pbr (>= 2.0.0),
- ${misc:Depends},
- ${python:Depends},
-Description: WSGI context helpers for OpenStack - Python 2.x
- The Oslo context library has helpers to maintain useful information
- about a request context. The request context is usually populated
- in the WSGI pipeline and used by various modules such as logging.
- .
- This package contains the Python 2.x module.
 
 Package: python-oslo.context-doc
 Build-Profiles: <!nodoc>
@@ -66,7 +46,7 @@
 Architecture: all
 Depends:
  python3-debtcollector,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  ${misc:Depends},
  ${python3:Depends},
 Description: WSGI context helpers for OpenStack - Python 3.x
